Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 708350 - sys-apps/busybox-1.31.1 fails to compile with sys-devel/glibc-2.31
Summary: sys-apps/busybox-1.31.1 fails to compile with sys-devel/glibc-2.31
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Embedded Gentoo Team
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: glibc-2.31
  Show dependency tree
 
Reported: 2020-02-05 14:18 UTC by Mike Lothian
Modified: 2020-02-15 18:14 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (build.log.xz,19.01 KB, application/x-xz)
2020-02-05 14:19 UTC, Mike Lothian
Details
Patch for glibc-2.31 (glibc-2.31.patch,1.84 KB, patch)
2020-02-05 14:20 UTC, Mike Lothian
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Lothian 2020-02-05 14:18:38 UTC
The upstream fix is here:

https://git.busybox.net/busybox/patch/?id=d3539be8f27b8cbfdfee460fe08299158f08bcd9

I've attached a patch that will apply against this ebuild

Reproducible: Always
Comment 1 Mike Lothian 2020-02-05 14:19:03 UTC
Created attachment 611778 [details]
Build log
Comment 2 Mike Lothian 2020-02-05 14:20:49 UTC
Created attachment 611780 [details, diff]
Patch for glibc-2.31
Comment 3 Mike Lothian 2020-02-05 14:22:33 UTC
The error was:

/var/tmp/portage/sys-apps/busybox-1.31.1/temp/busybox_unstripped.NQDALZ.ltrans5.ltrans.o:<artificial>:function date_main: error: undefined reference to 'stime'
/var/tmp/portage/sys-apps/busybox-1.31.1/temp/busybox_unstripped.NQDALZ.ltrans7.ltrans.o:<artificial>:function rdate_main: error: undefined reference to 'stime'
collect2: error: ld returned 1 exit status

As stime has been removed from glibc-2.31
Comment 4 Larry the Git Cow gentoo-dev 2020-02-06 23:06:43 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d7d0d98ea093bb29a81c1f9c0d27d823c61e8640

commit d7d0d98ea093bb29a81c1f9c0d27d823c61e8640
Author:     Patrick McLean <patrick.mclean@sony.com>
AuthorDate: 2020-02-06 23:06:22 +0000
Commit:     Patrick McLean <chutzpah@gentoo.org>
CommitDate: 2020-02-06 23:06:34 +0000

    sys-apps/busybox-1.31.1-r1: Revbump, virtual/libxcrypt, fix bug #708350
    
    Closes: https://bugs.gentoo.org/708350
    Copyright: Sony Interactive Entertainment Inc.
    Package-Manager: Portage-2.3.87, Repoman-2.3.20
    Signed-off-by: Patrick McLean <chutzpah@gentoo.org>

 ...ybox-1.31.1.ebuild => busybox-1.31.1-r1.ebuild} | 15 +++--
 .../busybox/files/busybox-1.31.1-glibc-2.31.patch  | 65 ++++++++++++++++++++++
 2 files changed, 75 insertions(+), 5 deletions(-)